Skip to main content
`Ctrl`+`K`

# MatMatInterpolateAdd

\(Y = W + A*X\) or \(W + A^T*X\) depending on the shape of `A`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMatInterpolateAdd(Mat A, Mat x, Mat w, Mat *y)

Neighbor-wise Collective

## Input Parameters

- A - the matrix

- x - the input dense matrix to be multiplied

- w - the input dense matrix to be added to the result

## Output Parameter

- y - the output dense matrix

## Note

This allows one to use either the restriction or interpolation (its transpose) matrix to do the interpolation. `y` matrix can be reused if already created with the proper sizes, otherwise it will be recreated. `y` must be initialized to `NULL` if not supplied.

## See Also

Matrices, `Mat`, `MatInterpolateAdd()`, `MatMatInterpolate()`, `MatMatRestrict()`, `PCMG`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages